PHP 'wordwrap'函数整数溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1204748 漏洞类型 输入验证
发布时间 2002-02-03 更新时间 2007-09-05
CVE编号 CVE-2007-3998 CNNVD-ID CNNVD-200709-013
漏洞平台 N/A CVSS评分 5.0
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200709-013
|漏洞详情
PHP是广泛使用的通用目的脚本语言,特别适合于Web开发,可嵌入到HTML中。PHP存在整数溢出漏洞,不正确地使用breakcharlen变量,它允许远程攻击者通过某一参数,由一个'chr(0),0'参数设置,导致拒绝服务(应用软件崩溃或无限环)
|参考资料

来源:www.php.net
链接:http://www.php.net/ChangeLog-5.php#5.2.4
来源:SECUNIA
名称:26642
链接:http://secunia.com/advisories/26642
来源:www.php.net
链接:http://www.php.net/releases/5_2_4.php
来源:MISC
链接:http://secweb.se/en/advisories/php-wordwrap-vulnerability/
来源:FEDORA
名称:FEDORA-2007-709
链接:https://www.redhat.com/archives/fedora-package-announce/2007-September/msg00354.html
来源:launchpad.net
名称:https://launchpad.net/bugs/173043
链接:https://launchpad.net/bugs/173043
来源:issues.rpath.com
链接:https://issues.rpath.com/browse/RPL-1702
来源:issues.rpath.com
链接:https://issues.rpath.com/browse/RPL-1693
来源:UBUNTU
名称:USN-549-1
链接:http://www.ubuntulinux.org/support/documentation/usn/usn-549-1
来源:UBUNTU
名称:USN-549-2
链接:http://www.ubuntu.com/usn/usn-549-2
来源:TRUSTIX
名称:2007-0026
链接:http://www.trustix.org/errata/2007/0026/
来源:REDHAT
名称:RHSA-2007:0891
链接:http://www.redhat.com/support/errata/RHSA-2007-0891.html
来源:REDHAT
名称:RHSA-2007:0890
链接:http://www.redhat.com/support/errata/RHSA-2007-0890.html
来源:MANDRIVA
名称:MDKSA-200